View Issue Details

IDProjectCategoryView StatusLast Update
0000124LCD DisplayConnectingpublic2016-08-16 11:49
ReporterPeterAssigned ToPeter 
PrioritynormalSeverityminorReproducibilitysometimes
Status closedResolutionopen 
Product Version2.04 
Target VersionFixed in Version2.08 
Summary0000124: Some Patrol ZD30 (mainly GU3?) have issues with slow connecting/dropping out.
DescriptionSome patrol ZD30 owners (maybe 15% so far?), all GU III so far, have had issues with the display dropping out or being very slow to connect - from investigation thus far its most likely a bug in the ECU in the car, but the more info I can get the better. So I'll start listing any car info here for those cars which have had the problem.

White 2003 3ltr ST Auto, with NADS (Nissan Anti Detonation System) and some goodies (paul.helm on patrol4x4) - looks like this is GU III ST Wagon

02 GU ST Diesel/LPG (dronus4x4 on patrol4x4) - looks like this is GU III ST Wagon

2004 3 litre Patrol (David C) - looks like this is either GU III or GU IV, waiting on clarification

Nissan patrol GU III 3l ST Plus limited edition wagon (late 2002 build). NADS (Nissan anti detonation system) mods were done prior to ECUtalk, so I have no data beforehand (terra on patrol4x4)
TagsNo tags attached.

Activities

Peter

2016-08-16 11:47

administrator   ~0000131

So this is mostly fixed in v2.08 with some improvements to how the displays handle these ZD30's not communicating randomly, that it will often finally connect without user interaction... eventually :) (but much better than in the past).

connecting should be much more predictable and consistent now and automatically retry for some period rather than locking up the display. Also allows menu buttons to be pressed to bypass connection (which on some vehicles you couldnt even get into the menus to do this).

Peter

2016-08-16 11:49

administrator   ~0000132

change notes:

1. minor changes to visual connection indication etc on startup (showing firmware version etc)
2. will connect at your selected speed from options (9404/9600/9804) 3 attempts first, then 1 of both other alternatives. so if you select 9404 it will do 9404,9404,9404,9600,9804 and repeat until it connects. Mostly leaving at 9600 is best.
3. will attempt connecting for 60s then go to main menu. also pressing the menu/enter button will skip it to main menu if its not able to connect (without waiting 60s).
4. few changes to a couple timings/delays/etc to hope to make it a bit better...

Issue History

Date Modified Username Field Change
2011-01-15 12:58 Peter New Issue
2011-01-15 12:58 Peter Status new => assigned
2011-01-15 12:58 Peter Assigned To => Peter
2011-01-15 13:15 Peter Summary Some Patrol ZD30 have issues with slow connecting/dropping out. => Some Patrol ZD30 (GU3?) have issues with slow connecting/dropping out.
2011-01-15 13:15 Peter Description Updated
2011-01-15 14:33 Peter Summary Some Patrol ZD30 (GU3?) have issues with slow connecting/dropping out. => Some Patrol ZD30 (GU3) have issues with slow connecting/dropping out.
2011-01-15 14:33 Peter Description Updated
2011-01-30 13:06 Peter Summary Some Patrol ZD30 (GU3) have issues with slow connecting/dropping out. => Some Patrol ZD30 (mainly GU3?) have issues with slow connecting/dropping out.
2011-03-02 16:19 Peter Description Updated
2016-08-16 11:47 Peter Note Added: 0000131
2016-08-16 11:47 Peter Status assigned => closed
2016-08-16 11:47 Peter Fixed in Version => 2.08
2016-08-16 11:49 Peter Note Added: 0000132